Bug 1031619 - Error after importing SY quickstart jca-inflow-activemq into JBDS
Error after importing SY quickstart jca-inflow-activemq into JBDS
Status: CLOSED WONTFIX
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Examples, Tooling (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Brian Fitzpatrick
Jiri Sedlacek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-18 07:00 EST by Andrej Podhradsky
Modified: 2015-08-02 19:45 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-17 13:48:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-1846 Major Closed Error after importing SY quickstart jca-inflow-activemq into tooling 2014-06-16 19:47:52 EDT

  None (edit)
Description Andrej Podhradsky 2013-11-18 07:00:13 EST
Description of problem:
After importing the quickstart 'jca-inflow-activemq' there are the following errors:

Required Capability Missing: The "Bean" capability should be configured on the project when using this type of implementation.

Version-Release number of selected component (if applicable):
ER6

How reproducible:
always

Steps to Reproduce:
1. Import the quickstart into JBDS as Maven project

Actual results:


Expected results:


Additional info:
Comment 1 Brian Fitzpatrick 2013-11-19 18:51:06 EST
Apparently the pom.xml for this quickstart is missing:

        <dependency>
            <groupId>org.switchyard.components</groupId>
            <artifactId>switchyard-component-bean</artifactId>
        </dependency>

We should be able to fix that pretty easily.
Comment 2 JBoss JIRA Server 2013-11-19 19:09:05 EST
Brian Fitzpatrick <bfitzpat@redhat.com> made a comment on jira SWITCHYARD-1846

PR to add missing dependency
Comment 3 Andrej Podhradsky 2013-12-17 09:41:27 EST
Now, the quickstart is missing in FSW 6.0.0.ER7
Comment 4 Keith Babo 2013-12-17 13:48:29 EST
This quickstart has been deliberately excluded from FSW 6, so closing this issue.
Comment 5 JBoss JIRA Server 2014-06-16 19:47:52 EDT
Keith Babo <kbabo@redhat.com> updated the status of jira SWITCHYARD-1846 to Closed

Note You need to log in before you can comment on or make changes to this bug.